/* Mobile */
@media only screen and (min-width: 0em) {
  #stitch-library .new-folder {
    font-size: 0.8em;
    line-height: 2.5em;
    width: 9.5em;
    background-color: var(--primary);
    border: none;
    color: #fff;
    font-family: 'Ubuntu';
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    padding: 0;
    border-radius: 0.25em;
    -webkit-transition: background-color 0.3s;
    transition: background-color 0.3s;
  }
  #stitch-library .new-folder:hover {
    background-color: #02080c;
  }
  #stitch-library .new-folder:hover img {
    -webkit-transform: rotate(90deg);
            transform: rotate(90deg);
  }
  #stitch-library .new-folder img {
    width: 1.5em;
    height: 1.5em;
    margin-right: 0.5em;
    -webkit-transition: -webkit-transform .3s;
    transition: -webkit-transform .3s;
    transition: transform .3s;
    transition: transform .3s, -webkit-transform .3s;
  }
  #stitch-library .folder {
    display: block;
    width: 10.1em;
    height: 8.05em;
    margin: auto;
    margin-bottom: 2.5em;
    position: relative;
    padding-top: 1.85em;
    padding-left: 0.8em;
    padding-right: 0.8em;
    padding-bottom: 0.8em;
    z-index: 1;
    text-decoration: none;
  }
  #stitch-library .folder:before {
    content: '';
    position: absolute;
    display: block;
    height: 100%;
    width: 100%;
    background: url("/images/icons/folder-image.svg");
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
    opacity: 1;
    top: 0;
    left: 0;
    pointer-events: none;
    z-index: -1;
  }
  #stitch-library .folder .folder-link {
    position: absolute;
    height: 100%;
    width: 100%;
    display: block;
  }
  #stitch-library .folder .top {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
        -ms-flex-pack: justify;
            justify-content: space-between;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    width: 100%;
    margin-bottom: 1.2em;
  }
  #stitch-library .folder .top .folder-icon {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    width: 1.8em;
    height: 1.8em;
    background: #C7E1F4;
    border-radius: 50%;
  }
  #stitch-library .folder .top .folder-icon img {
    width: 0.8em;
    height: 0.8em;
  }
  #stitch-library .folder .top .setting-container {
    border-radius: 0.7em;
    background: #fff;
    width: 1.4em;
    height: 1.4em;
  }
  #stitch-library .folder .top .settings-button {
    font-size: 1em;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    width: 1.4em;
    min-height: 1.4em;
    border-radius: 50%;
    border: none;
    background: transparent;
  }
  #stitch-library .folder .top .settings-button img {
    width: 0.8em;
    height: 0.8em;
    -webkit-transition: -webkit-transform .2s;
    transition: -webkit-transform .2s;
    transition: transform .2s;
    transition: transform .2s, -webkit-transform .2s;
  }
  #stitch-library .folder .folder-title {
    font-size: 0.9em;
    line-height: 1.22222222;
    color: #000;
    font-weight: bold;
    margin: 0;
  }
  #stitch-library .folder .modified {
    font-size: 0.7em;
    line-height: 1.57142857;
    color: var(--neutralLabel);
  }
}
/* Tablet */
@media only screen and (min-width: 600px) {
  #stitch-library .folder-container {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
        -ms-flex-direction: row;
            flex-direction: row;
    -webkit-box-pack: start;
        -ms-flex-pack: start;
            justify-content: flex-start;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    -ms-flex-wrap: wrap;
        flex-wrap: wrap;
    font-size: min(2.9vw, 1em);
    -webkit-column-gap: 4em;
            column-gap: 4em;
    row-gap: 1.2em;
  }
  #stitch-library .folder {
    margin: 0;
  }
}
/* Small Desktop */
@media only screen and (min-width: 64em) {
  #stitch-library .folder-container {
    font-size: min(1.62vw, 1em);
  }
  #stitch-library .folder {
    -webkit-transition: -webkit-transform 0.3s, -webkit-box-shadow 0.3s;
    transition: -webkit-transform 0.3s, -webkit-box-shadow 0.3s;
    transition: transform 0.3s, box-shadow 0.3s;
    transition: transform 0.3s, box-shadow 0.3s, -webkit-transform 0.3s, -webkit-box-shadow 0.3s;
    border-radius: 1.2em;
  }
  #stitch-library .folder:hover {
    cursor: pointer;
    -webkit-transform: translateY(-0.45em);
            transform: translateY(-0.45em);
    -webkit-box-shadow: rgba(0, 0, 0, 0.1) -4px 9px 25px -6px;
            box-shadow: rgba(0, 0, 0, 0.1) -4px 9px 25px -6px;
  }
  #stitch-library .folder button:hover {
    cursor: pointer;
  }
}
/* Small Desktop */
@media only screen and (min-width: 1200px) {
  #stitch-library .folder-container {
    font-size: min(1.63vw, 1em);
  }
}
/* Small Desktop */
@media only screen and (min-width: 1300px) {
  #stitch-library .folder-container {
    font-size: min(1.3vw, 1em);
  }
}
/* Modals need the functionality to add class "open" to them when the 
   coorresponding button is clicked.  All modals are hidden until 
   their class "open" is added to them, as well as the close button to
   remove the class when that is clicked */
/*-- -------------------------- -->
<---           Modals           -->
<--- -------------------------- -*/
/* Folder Modals */
@media only screen and (min-width: 0em) {
  /* New Folder Modal */
  .modal-template1 {
    font-size: 20px;
    position: fixed;
    height: 100%;
    width: 100%;
    top: 0;
    left: 0;
    background: rgba(0, 0, 0, 0.6);
    z-index: 10000;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    pointer-events: none;
    opacity: 0;
    -webkit-transition: opacity .3s;
    transition: opacity .3s;
    z-index: -11100;
    /* When the open class is added */
  }
  .modal-template1.open {
    pointer-events: all;
    opacity: 1;
    z-index: 111000;
  }
  .modal-template1 .container {
    background: #fff;
    z-index: 100000;
    width: 96%;
    max-width: 18.75em;
    padding-top: 1.2em;
    padding-bottom: 1.2em;
    border-radius: 0.3em;
  }
  .modal-template1 .folder-top {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
        -ms-flex-pack: justify;
            justify-content: space-between;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    padding: 0 0.8em;
    padding-bottom: 1.25em;
    border-bottom: 1px solid #C4C4C4;
    margin-bottom: 0.8em;
  }
  .modal-template1 .folder-top .header {
    display: block;
    font-size: 0.9em;
    font-family: var(--ubuntoFont);
    font-weight: 500;
    line-height: 2;
  }
  .modal-template1 .folder-top .closeModal {
    font-size: 20px;
    border: none;
    width: 1.8em;
    height: 1.8em;
    background: #f1f1f3;
    border-radius: 50%;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    -webkit-transition: -webkit-filter .3s, -webkit-transform .3s;
    transition: -webkit-filter .3s, -webkit-transform .3s;
    transition: filter .3s, transform .3s;
    transition: filter .3s, transform .3s, -webkit-filter .3s, -webkit-transform .3s;
  }
  .modal-template1 .folder-top .closeModal:hover {
    -webkit-filter: brightness(90%);
            filter: brightness(90%);
    -webkit-transform: rotate(90deg);
            transform: rotate(90deg);
  }
  .modal-template1 form {
    padding: 0 0.8em 0 0.8em;
  }
  .modal-template1 form label {
    display: block;
    font-size: 0.65em;
    line-height: 1.53846154;
    color: #14142b;
    margin-bottom: 0.92307692em;
  }
  .modal-template1 form input {
    font-size: 0.9em;
    height: 2.66666667em;
    background: #F3F3F4;
    border: 1px solid #E8E9EC;
    -webkit-box-sizing: border-box;
            box-sizing: border-box;
    border-radius: 0.44444444em;
    padding-left: 0.88888889em;
    width: 100%;
    display: block;
    margin-bottom: 0.88888889em;
  }
  .modal-template1 form input::-webkit-input-placeholder {
    color: var(--neutralLabel);
  }
  .modal-template1 form input:-ms-input-placeholder {
    color: var(--neutralLabel);
  }
  .modal-template1 form input::-ms-input-placeholder {
    color: var(--neutralLabel);
  }
  .modal-template1 form input::placeholder {
    color: var(--neutralLabel);
  }
  .modal-template1 form .button-solid {
    display: block;
    border: none;
    font-size: 0.8em;
    font-family: var(--ubuntoFont);
    font-weight: bold;
    color: #fff;
    background-color: var(--primary);
    line-height: 3.125em;
    border-radius: 0.25em;
    width: 100%;
  }
  /* Rename Fodler Modal */
  #rename-folder {
    /* When the open class is added */
  }
  #rename-folder.open {
    pointer-events: all;
    opacity: 1;
    z-index: 111000;
  }
  /* Delete Fodler Modal */
  #delete-folder {
    /* When the open class is added */
  }
  #delete-folder.open {
    pointer-events: all;
    opacity: 1;
    z-index: 111000;
  }
  #delete-folder form button {
    background-color: var(--error);
    -webkit-transition: background-color 0.3s;
    transition: background-color 0.3s;
  }
  #delete-folder form button:hover {
    background-color: #911703;
  }
}
/* Folder 3-dot Settings Modal */
@media only screen and (min-width: 0em) {
  #stitch-library .folder .top .setting-container {
    position: absolute;
    right: 0.8em;
    top: 2.05em;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: end;
        -ms-flex-align: end;
            align-items: flex-end;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -webkit-transition: width 0.3s ease 0.2s, height 0.2s ease 0s, -webkit-box-shadow 0.3s;
    transition: width 0.3s ease 0.2s, height 0.2s ease 0s, -webkit-box-shadow 0.3s;
    transition: width 0.3s ease 0.2s, height 0.2s ease 0s, box-shadow 0.3s;
    transition: width 0.3s ease 0.2s, height 0.2s ease 0s, box-shadow 0.3s, -webkit-box-shadow 0.3s;
    overflow: hidden;
  }
  #stitch-library .folder .top .setting-container:before {
    content: '';
    position: absolute;
    display: block;
    height: 100%;
    width: 100%;
    background: transparent;
    opacity: 1;
    top: 0;
    left: 0;
    border-radius: 0.7em;
    pointer-events: none;
    border: 1px solid rgba(0, 0, 0, 0.06);
    z-index: 100;
  }
  #stitch-library .folder .top .setting-container.open {
    width: 6.55em;
    height: 5.4em;
    -webkit-transition: width .3s ease .1s, height .3s ease 0s;
    transition: width .3s ease .1s, height .3s ease 0s;
    -webkit-box-shadow: rgba(0, 0, 0, 0.1) -4px 9px 25px -6px;
            box-shadow: rgba(0, 0, 0, 0.1) -4px 9px 25px -6px;
  }
  #stitch-library .folder .top .setting-container.open .options button {
    opacity: 1;
    -webkit-transition: opacity .3s ease .3s;
    transition: opacity .3s ease .3s;
  }
  #stitch-library .folder .top .setting-container.open .settings-button img {
    -webkit-transform: rotate(90deg);
            transform: rotate(90deg);
  }
  #stitch-library .folder .top .setting-container .options {
    position: relative;
    bottom: 0em;
    width: 100%;
  }
  #stitch-library .folder .top .setting-container .options button {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: start;
        -ms-flex-pack: start;
            justify-content: flex-start;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    width: 100%;
    background-color: #fff;
    text-align: left;
    border: none;
    font-size: 0.65em;
    line-height: 3.07692308;
    color: #000;
    height: 3.07692308em;
    padding-left: 1.53846154em;
    opacity: 0;
    -webkit-transition: opacity .3s ease 0s;
    transition: opacity .3s ease 0s;
  }
  #stitch-library .folder .top .setting-container .options button:hover {
    background-color: rgba(0, 0, 0, 0.06);
  }
  #stitch-library .folder .top .setting-container .options button:last-of-type {
    border-radius: 0 0 1.07692308em 1.07692308em;
    -webkit-transition: opacity .3s ease .3s;
    transition: opacity .3s ease .3s;
  }
  #stitch-library .folder .top .setting-container .options button img {
    margin-right: 0.61538462em;
    width: 1.23076923em;
    height: 1.23076923em;
  }
}
/* Folder Settings Modal desktop */
@media only screen and (min-width: 64em) {
  #stitch-library .folder .top .setting-container.open {
    height: 5.45em;
  }
}
